import request from '@/router/axios';

export const getList = (params) => {
  return request({
    url: '/api/blade-manager/systemMsg/page',
    method: 'get',
    params: params
  })
}

export const getAwaitMsg = () => {
  return request({
    url: '/api/blade-manager/systemMsg/getAwaitMsg',
    method: 'get',
    params: {}
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/blade-manager/systemMsg/remove',
    method: 'get',
    params: {ids: ids}
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-manager/systemMsg/add',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-manager/systemMsg/update',
    method: 'post',
    data: row
  })
}

export const cancelPush = (id) => {
  return request({
    url: '/api/blade-manager/systemMsg/cancelPush',
    method: 'get',
    params: {id}
  })
}

export const getClinetAll = (row) => {
  return request({
    url: '/api/blade-system/client/getClinetAll',
    method: 'get',
    params: {}
  })
}
